summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* media-libs/gstreamer: Version bump, 1.20.2Igor V. Kovalenko4 days2-0/+16
| | | | | | Bug: https://bugs.gentoo.org/843770 Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Version bump, 1.18.6Igor V. Kovalenko2022-03-182-0/+17
| | | | | | | Bug: https://bugs.gentoo.org/835368 Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Closes: https://github.com/gentoo/gentoo/pull/24625 Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Version bump, 1.20.1Igor V. Kovalenko2022-03-172-1/+1
| | | | | Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Clean up 1.20.0 ebuild empty IUSEIgor V. Kovalenko2022-03-081-1/+0
| | | | | Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* media-libs/gstreamer: Bump to 1.20.0Igor V. Kovalenko2022-03-082-0/+17
| | | | | | | | | | | | | | | | | | | | | | | | | | | Gstreamer 1.20.0 version bump, includes - all existing 1.18.4 plugins except for two dropped upstream (gst-plugins-libmms and gst-plugins-ofa) - libnice-0.1.18 version bump required by gst-plugins-webrtc in 1.20.0 - required multilib change for libldac for new plugin gst-plugins-ldac - required multilib change for libopenaptx and libfreeaptx for new plugin gst-plugins-openaptx As discussed, this change adds a LICENSE to each of gstreamer modules which now require explicit opt-in for (A)GPL plugins for (A)GPL plugins we will not perform explicit license acceptance for affected gstreamer plugin, instead we will rely on a user accepting the license of dependency: - gstreamer change added explicit opt-in https://gitlab.freedesktop.org/gstreamer/gstreamer/-/merge_requests/1084 - I looked at affected gstreamer plugins and looks like all are correctly license-compatible according to compatibility matrix https://www.gnu.org/licenses/gpl-faq.html#AllCompatibility - if a user is not willing to accept the license of corresponding (A)GPL dependency, such dependency will not be available and affected gstreamer plugin will not be built - Upstream gstreamer team will look into updating/fixing plugin license display available via gst-inspect-1.0 <plugin name> | grep License as currently it is just "GPL" which is not specific enough (should be GPL-2, GPL-2+, GPL-3 etc.) Signed-off-by: Igor V. Kovalenko <igor.v.kovalenko@gmail.com> Signed-off-by: Sam James <sam@gentoo.org>
* **/metadata.xml: Replace http by https in DOCTYPE elementUlrich Müller2021-09-111-1/+1
| | | | | Bug: https://bugs.gentoo.org/552720 Signed-off-by: Ulrich Müller <ulm@gentoo.org>
* media-plugins/gst-plugins-srt: revbump for net-libs/srt subslot depSam James2021-07-102-0/+0
| | | | | See: 09df4c8c249a2645f0171c27fe5a206260dd7035 Signed-off-by: Sam James <sam@gentoo.org>
* media-plugins/gst-plugins-srt: subslot operator for net-libs/srtMart Raudsepp2021-06-292-2/+2
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-srt: Version bump, 1.18.4Haelwenn (lanodan) Monnier2021-05-302-0/+17
| | | | | Signed-off-by: Haelwenn (lanodan) Monnier <contact@hacktivis.me> Signed-off-by: Sam James <sam@gentoo.org>
* media-plugins/gst-plugins-srt: remove oldMart Raudsepp2021-02-203-221/+0
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-srt: bump to 1.16.3Mart Raudsepp2021-02-132-0/+17
| | | | | Package-Manager: Portage-3.0.12, Repoman-3.0.2 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-srt: apply make-4.3 compat patchMart Raudsepp2020-05-152-0/+204
| | | | | | Closes: https://bugs.gentoo.org/723182 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* media-plugins/gst-plugins-srt: initial importMart Raudsepp2020-05-143-0/+25
Closes: https://bugs.gentoo.org/710068 Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Mart Raudsepp <leio@gentoo.org>